Loading...
Searching...
No Matches
pcl::common::IntensityFieldAccessor< pcl::PointWithViewpoint > Struct Reference

`#include <pcl/common/impl/intensity.hpp>`

## Public Member Functions

float | operator() (const pcl::PointWithViewpoint &p) const
void | get (const pcl::PointWithViewpoint &p, float &intensity) const
void | set (pcl::PointWithViewpoint &p, float intensity) const
void | demean (pcl::PointWithViewpoint &p, float value) const
void | add (pcl::PointWithViewpoint &p, float value) const

## Detailed Description

Definition at line 521 of file intensity.hpp.

## Member Function Documentation

## add()

void pcl::common::IntensityFieldAccessor< pcl::PointWithViewpoint >::add | ( | pcl::PointWithViewpoint & | p,
|  | float | value ) const

inline

Definition at line 548 of file intensity.hpp.

## demean()

void pcl::common::IntensityFieldAccessor< pcl::PointWithViewpoint >::demean | ( | pcl::PointWithViewpoint & | p,
|  | float | value ) const

inline

Definition at line 542 of file intensity.hpp.

## get()

void pcl::common::IntensityFieldAccessor< pcl::PointWithViewpoint >::get | ( | const pcl::PointWithViewpoint & | p,
|  | float & | intensity ) const

inline

Definition at line 530 of file intensity.hpp.

## operator()()

float pcl::common::IntensityFieldAccessor< pcl::PointWithViewpoint >::operator() | ( | const pcl::PointWithViewpoint & | p | ) | const

inline

Definition at line 524 of file intensity.hpp.

## set()

void pcl::common::IntensityFieldAccessor< pcl::PointWithViewpoint >::set | ( | pcl::PointWithViewpoint & | p,
|  | float | intensity ) const

inline

Definition at line 536 of file intensity.hpp.

The documentation for this struct was generated from the following file:

- pcl/common/impl/intensity.hpp